Searching...

Projects

get /projects/count

Get project count

This endpoint enables you to retrieve the overall number of projects you have.

name string

Filter for projects names that contain this value. The API can return partial matches.

Responses

Successful response

Response body Headers
count int

The number of projects.

Example
37

This response does not contain any headers

Response examples

Successful response

{
  "count": 37
}
get /projects

List projects

This endpoint enables you to retrieve a paginated list of every project you have. You can filter the list by project name, and sort by name, creation date, and ascending or descending order.

Note that the API response only contains one page of results. To navigate to another page, use the previous or next path queries provided in the respone's links object.

page_size int

Number of records per page.

Default
20
Max
100
page int

Page number to retrieve.

Default
1
name string

Filter for projects names that contain this value.

sort_by string

Select a property to sort by. Allowed values: created_at , name .

Enum
  • created_at
  • name
sort_order string

Select the order to sort by. Allowed values: asc , desc .

Enum
  • asc
  • desc

Responses

Successful response

Response body Headers
items array
pagination object (Pagination)
page int

Returns the number of the currently active page.

page_size int

Returns the number of items per page.

item_count int

Returns the total number of items.

links array [Links]

This response does not contain any headers

Response examples

Successful response

{
  "items": [
    {
      "project_id": "project_1CCq9NurjJBRehCVCe8XQY",
      "created_at": "2023-06-07T17:32:28Z",
      "name": "My project",
      "deletes_at": "2023-06-07T17:32:28Z",
      "region": "eu-central-1",
      "deleted": true
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "item_count": 123
  },
  "links": [
    {
      "rel": "previous",
      "href": "/projects?page_size=20&name=aaa&sort_by=name&sort_order=desc&page=2"
    }
  ]
}
post /projects

Create project

Create a new project.

name string required

The name of the Admin API key. Also visible in the dashboard. You may set any value that fits your organization purposes.

region string

Deprecated. The region where your data is hosted.

Enum
  • eu-central-1

Responses

Project created successfully

Response body Headers
project_id string

The unique ID of a project.

Example
"project_1CCq9NurjJBRehCVCe8XQY"
created_at string

The date when the project was created. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
name string

The name of the project. Also visible in the dashboard. You may set any value that fits your organization purposes.

Example
"My project"
deletes_at string or null

The scheduled date for deletion. The value is generally the first day of the next month. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
region string

The region where your data is hosted.

Enum
  • eu-central-1
deleted boolean

When true, the project is currently being deleted. The project will disappear from your projects' list after deletion finishes. You should not use projects that return true for deleted .

This response does not contain any headers

Request examples

{
  "name": "string",
  "region": "eu-central-1"
}

Response examples

Project created successfully

{
  "project_id": "project_1CCq9NurjJBRehCVCe8XQY",
  "created_at": "2023-06-07T17:32:28Z",
  "name": "My project",
  "deletes_at": "2023-06-07T17:32:28Z",
  "region": "eu-central-1",
  "deleted": true
}
get /projects/{project_id}

Get project

This endpoint enables you to retrieve a specific project based on its project_id .

project_id string required

The ID of the project you want to retrieve.

Responses

Successful response

Response body Headers
project_id string

The unique ID of a project.

Example
"project_1CCq9NurjJBRehCVCe8XQY"
created_at string

The date when the project was created. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
name string

The name of the project. Also visible in the dashboard. You may set any value that fits your organization purposes.

Example
"My project"
deletes_at string or null

The scheduled date for deletion. The value is generally the first day of the next month. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
region string

The region where your data is hosted.

Enum
  • eu-central-1
deleted boolean

When true, the project is currently being deleted. The project will disappear from your projects' list after deletion finishes. You should not use projects that return true for deleted .

This response does not contain any headers

Response examples

Successful response

{
  "project_id": "project_1CCq9NurjJBRehCVCe8XQY",
  "created_at": "2023-06-07T17:32:28Z",
  "name": "My project",
  "deletes_at": "2023-06-07T17:32:28Z",
  "region": "eu-central-1",
  "deleted": true
}
patch /projects/{project_id}

Update project

This endpoint enables you to update a specific project based on its project_id .

You can update the project name and schedule the project for deletion. When you schedule a project for deletion, the project will be deleted on the first day of the next billing cycle. The API sends the exact date-time of deletion in the response.

name string required

The project name that you want to update.

deletes_at string

Schedule the project for deletion. The accepted value is next_cycle . The project will be deleted on the first day of the next billing cycle. The API sends the exact date-time of deletion in the response.

Enum
  • next_cycle
project_id string required

The ID of the project you want to update.

Responses

Project updated successfully

Response body Headers
project_id string

The unique ID of a project.

Example
"project_1CCq9NurjJBRehCVCe8XQY"
created_at string

The date when the project was created. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
name string

The name of the project. Also visible in the dashboard. You may set any value that fits your organization purposes.

Example
"My project"
deletes_at string or null

The scheduled date for deletion. The value is generally the first day of the next month. This field uses the ATOM date-time format: 2024-02-05T00:00:00+01:00

Format
date-time
region string

The region where your data is hosted.

Enum
  • eu-central-1
deleted boolean

When true, the project is currently being deleted. The project will disappear from your projects' list after deletion finishes. You should not use projects that return true for deleted .

This response does not contain any headers

Request examples

{
  "name": "string",
  "deletes_at": "next_cycle"
}

Response examples

Project updated successfully

{
  "project_id": "project_1CCq9NurjJBRehCVCe8XQY",
  "created_at": "2023-06-07T17:32:28Z",
  "name": "My project",
  "deletes_at": "2023-06-07T17:32:28Z",
  "region": "eu-central-1",
  "deleted": true
}